<h3 class="warn mat-display-1 login-title" fxLayoutAlign="center center">{{pageTitle}}</h3>
<form [formGroup]="resourceForm" (submit)="login()" *ngIf="resourceForm">
  <mat-dialog-content fxLayout="column">
    <div class="person"  fxLayoutAlign="center center">
      <app-slide-toggle [checkedControl]="getFormControls().personType" firstValue="PF" lastValue="PJ"></app-slide-toggle>
    </div>
    <div fxLayout="column" fxLayoutAlign="center center" class="person">
      <app-input-field [field]="getFormControls().email" fieldName="E-mail"></app-input-field>
      <app-input-field [field]="getFormControls().password" fieldName="Senha"></app-input-field>
    </div>
  </mat-dialog-content>
  <mat-dialog-actions class="actions" fxLayoutAlign="center center">
    <button mat-flat-button
      (click)="signup()"
      class="signup"
      >
      Cadastre-se
    </button>
  <span class="spacer"></span>
  <button
    mat-raised-button
    type="submit"
    color="warn"
    class="login"
    >OK</button>
</mat-dialog-actions>
</form>
